Radio choice consisting of a radio check box.

see

  ChoiceContainer

see

  ChoiceMutator

see

  Choice

### Hierarchy

- Choice
  - CheckboxChoice

### Implements

- IRenderable

## Index

### Constructors

- constructor

### Methods

- inputType
- render

## Constructors

### constructor

- new CheckboxChoice(spec: ISpecification): CheckboxChoice

- Inherited from Choice.constructor

  - Defined in lib/renderable/choice/Choice.ts:16

  #### Parameters

  - ##### spec: ISpecification

  #### Returns CheckboxChoice

## Methods

### inputType

- inputType(): "radio" | "checkbox"

- Overrides Choice.inputType

  - Defined in lib/renderable/choice/index.ts:64

  #### Returns "radio" | "checkbox"

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  Inherited from Choice.render

  - Defined in lib/renderable/choice/Choice.ts:22

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

Generated using TypeDoc